org.keycloak.models.cache.infinispan.authorization.events

## Class ResourceServerUpdatedEvent

- java.lang.Object
- - org.keycloak.models.cache.infinispan.events.InvalidationEvent
  - - org.keycloak.models.cache.infinispan.authorization.events.ResourceServerUpdatedEvent

- All Implemented Interfaces:
    Serializable, ClusterEvent, AuthorizationCacheInvalidationEvent

      @SerializeWith(value=ResourceServerUpdatedEvent.ExternalizerImpl.class)
      public class ResourceServerUpdatedEvent
      extends InvalidationEvent
      implements AuthorizationCacheInvalidationEvent

  Author:
    Marek Posolda
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ResourceServerUpdatedEvent.ExternalizerImpl`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceServerUpdatedEvent()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addInvalidations(StoreFactoryCacheManager cache, Set<String> invalidations)`
    `static ResourceServerUpdatedEvent` | `create(String id)`
    `String` | `getId()`
    `String` | `toString()`

    - ### Methods inherited from class org.keycloak.models.cache.infinispan.events.InvalidationEvent

      `equals, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceServerUpdatedEvent

          public ResourceServerUpdatedEvent()

  - ### Method Detail

    - #### create

          public static ResourceServerUpdatedEvent create(String id)

    - #### getId

          public String getId()

      Specified by:
        `getId` in class `InvalidationEvent`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### addInvalidations

          public void addInvalidations(StoreFactoryCacheManager cache,
                                       Set<String> invalidations)

      Specified by:
        `addInvalidations` in interface `AuthorizationCacheInvalidationEvent`

Copyright © 2020 JBoss by Red Hat. All rights reserved.